data {
  int<lower=1> H;
  int<lower=1> n[H];
  int<lower=0> r[H];
  int<lower=0,upper=1> ncp;
}
transformed data {
}
parameters {
  vector[H] eta_raw;
  real mu;
  real<lower=0> tau;
}
transformed parameters {
  vector[H] theta;

  if(ncp == 1){
    theta <- mu + tau * eta_raw;
  } else {
    theta <- mu + eta_raw;
  }
}
model {
  r ~ binomial_logit(n, theta);
  if(ncp == 1) {
    eta_raw ~ normal(0, 1);
  } else {
    eta_raw ~ normal(0, tau);
  }
  mu ~ normal(0, 3);
  tau ~ normal(0, 1);
}
generated quantities {
  real theta_pred;
  theta_pred <- normal_rng(mu, tau);
}
