data {
  int<lower=1> H;
  int<lower=1> n[H];
  int<lower=0> r[H];
}
transformed data {
}
parameters {
  vector[H] eta;
  real mu;
  real<lower=0> tau;
}
transformed parameters {
  vector[H] theta;

  theta <- mu + tau * eta;
}
model {
  r ~ binomial_logit(n, theta);
  eta ~ normal(0, 1);
  mu ~ normal(0, 2);
  tau ~ normal(0, 1);
}
generated quantities {
  real theta_pred;
  theta_pred <- normal_rng(mu, tau);
}
